=== debian/changelog ===
deepin-dummyapps (1.0.2) unstable; urgency=medium

  * Added translations for WPS Office;
  * Implemented translation installation for multiple lanugages.

 -- Wu Haotian <wuhaotian@uniontech.com>  Thu, 31 Oct 2024 16:25:52 +0800

deepin-dummyapps (1.0.1) unstable; urgency=medium

  * Initial tag release.

 -- Wu Haotian <wuhaotian@uniontech.com>  Wed, 16 Oct 2024 11:02:25 +0800

deepin-dummyapps (1.0.0) unstable; urgency=medium

  * First release.

 -- Wu Haotian <wuhaotian@uniontech.com>  Wed, 09 Oct 2024 16:08:05 +0800
