=== debian/control ===
Source: deepin-dummyapps
Section: editors
Priority: optional
Maintainer: Wu Haotian <wuhaotian@uniontech.com>
Standards-Version: 4.6.0.1
Build-Depends: debhelper-compat (= 12), gettext, gettext-base

Package: dummyapp-wpsoffice
Provides: cn.wps.wps-office
Conflicts: cn.wps.wps-office
Architecture: all
Depends: ${misc:Depends}, dbus-bin, libnotify-bin
Description: WPS Office dummy package that provides placeholder
 application icon that installs WPS Office on demand.
